package models_test

import (
	"fmt"
	"gitea.deepak.science/deepak/gogmagog/models"
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestModelUsers(t *testing.T) {
	assert := assert.New(t)
	a1 := &models.Action{ActionID: 3}
	a2 := &models.Action{ActionID: 4}
	p := &models.Plan{PlanID: 6}
	ss := &multiStore{
		[]*models.Action{a1, a2},
		[]*models.Plan{p}}
	m := models.New(ss)

	user, err := m.User(3)
	assert.Nil(err)
	assert.NotNil(user)
}

func TestErrorUsers(t *testing.T) {
	assert := assert.New(t)
	m := getErrorModel(fmt.Errorf("err"))

	user, err := m.User(3)
	assert.Nil(user)
	assert.NotNil(err)
}

func TestUserNoPassword(t *testing.T) {
	assert := assert.New(t)
	id := int64(3)
	username := "test"
	displayName := "Ted Est"
	pass := []byte("abc")
	u := &models.User{UserID: id, Username: username, DisplayName: displayName, Password: pass}

	unp := u.NoPassword()
	assert.EqualValues(id, unp.UserID)
	assert.Equal(username, unp.Username)
	assert.Equal(displayName, unp.DisplayName)
}
